Python
from engini import Engini
client = Engini() # reads ENGINI_API_KEY
schema = client.workflows.get_schema("slack.post_message")import { Engini } from "@engini/sdk";
const client = new Engini(); // reads ENGINI_API_KEY
const schema = await client.workflows.getSchema("slack.post_message");engini workflows schema slack.post_messageconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/workflows/catalog/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engini.io/v1/workflows/catalog/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engini.io/v1/workflows/catalog/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engini.io/v1/workflows/catalog/{slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engini.io/v1/workflows/catalog/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"slug": "<string>",
"dynamicFields": [
"<string>"
],
"input": {
"type": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": null,
"additionalProperties": "<unknown>",
"enum": [
"<string>"
],
"x-enum-varnames": [
"<string>"
],
"required": [
"<string>"
],
"anyOf": "<array>",
"const": null,
"default": null
},
"output": {
"type": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": null,
"additionalProperties": "<unknown>",
"enum": [
"<string>"
],
"x-enum-varnames": [
"<string>"
],
"required": [
"<string>"
],
"anyOf": "<array>",
"const": null,
"default": null
},
"schedule": {
"frequencies": [
"<string>"
],
"minIntervalMinutes": 123,
"description": "<string>",
"example": {
"frequency": "<string>",
"interval": 123,
"startDate": "<string>",
"startTime": "<string>",
"weekDays": "<string>",
"timeZone": "<string>",
"timeFrames": [
{
"start": "<string>",
"end": "<string>",
"everyMinutes": 123
}
]
}
},
"query": {
"description": "<string>",
"filters": {
"required": true,
"operators": [
"<string>"
],
"max": 123,
"fields": [
{
"field": "<string>",
"type": "<string>",
"operators": [
"<string>"
],
"hasOptions": true
}
],
"fieldsFrom": "<string>"
},
"top": {
"default": 123
},
"sorts": {
"required": true,
"max": 123,
"fields": [
"<string>"
],
"fieldsFrom": "<string>"
}
},
"subItems": {
"tables": [
{
"table": "<string>",
"manyRows": true,
"values": "<string>",
"description": "<string>",
"fields": [
"<string>"
]
}
],
"maxRowsPerTable": 123,
"maxFieldsPerRow": 123,
"description": "<string>"
},
"aiAgent": {
"providers": [
"<string>"
],
"maxTools": 123,
"description": "<string>",
"example": {
"key": "<string>",
"type": "<string>",
"connection": "<string>",
"inputs": {},
"tool": "<string>",
"condition": {
"left": "<string>",
"op": "<string>",
"right": "<string>"
},
"then": "<array>",
"else": "<array>",
"items": "<string>",
"do": "<array>",
"cases": [
{
"value": "<string>",
"steps": "<array>"
}
],
"default": "<array>",
"onFailure": "<array>",
"ref": 123,
"schedule": {
"frequency": "<string>",
"interval": 123,
"startDate": "<string>",
"startTime": "<string>",
"weekDays": "<string>",
"timeZone": "<string>",
"timeFrames": [
{
"start": "<string>",
"end": "<string>",
"everyMinutes": 123
}
]
},
"listenColumns": [
"<string>"
],
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"top": 123,
"sorts": [
{
"field": "<string>",
"direction": "<string>"
}
],
"advancedFilter": true,
"offset": 123,
"sample": "<string>",
"mapDictionary": true,
"subItems": {},
"model": {
"provider": "<string>",
"connection": "<string>",
"inputs": {}
},
"memory": {
"sessionId": "<string>",
"windowLength": "<string>"
},
"tools": [
{
"connection": "<string>",
"inputs": {},
"aiInputs": {},
"name": "<string>",
"tool": "<string>",
"description": "<string>"
}
],
"value": "<unknown>",
"valueTypes": {}
}
},
"manualValue": {
"types": [
"<string>"
],
"reservedNames": [
"<string>"
],
"maxFields": 123,
"maxItems": 123,
"maxLeafLength": 123,
"maxDepth": 123,
"description": "<string>",
"example": {
"key": "<string>",
"type": "<string>",
"connection": "<string>",
"inputs": {},
"tool": "<string>",
"condition": {
"left": "<string>",
"op": "<string>",
"right": "<string>"
},
"then": "<array>",
"else": "<array>",
"items": "<string>",
"do": "<array>",
"cases": [
{
"value": "<string>",
"steps": "<array>"
}
],
"default": "<array>",
"onFailure": "<array>",
"ref": 123,
"schedule": {
"frequency": "<string>",
"interval": 123,
"startDate": "<string>",
"startTime": "<string>",
"weekDays": "<string>",
"timeZone": "<string>",
"timeFrames": [
{
"start": "<string>",
"end": "<string>",
"everyMinutes": 123
}
]
},
"listenColumns": [
"<string>"
],
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"top": 123,
"sorts": [
{
"field": "<string>",
"direction": "<string>"
}
],
"advancedFilter": true,
"offset": 123,
"sample": "<string>",
"mapDictionary": true,
"subItems": {},
"model": {
"provider": "<string>",
"connection": "<string>",
"inputs": {}
},
"memory": {
"sessionId": "<string>",
"windowLength": "<string>"
},
"tools": [
{
"connection": "<string>",
"inputs": {},
"aiInputs": {},
"name": "<string>",
"tool": "<string>",
"description": "<string>"
}
],
"value": "<unknown>",
"valueTypes": {}
}
},
"triggerGates": {
"supportsListenColumns": true,
"supportsCondition": true
}
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}Workflows
Get a catalog entry's schema
The fields of one trigger, action or block as the plan writes them. With connectionId the fields that depend on the connected system are read live (rate limited per key); without it the static schema is returned.
GET
/
v1
/
workflows
/
catalog
/
{slug}
Python
from engini import Engini
client = Engini() # reads ENGINI_API_KEY
schema = client.workflows.get_schema("slack.post_message")import { Engini } from "@engini/sdk";
const client = new Engini(); // reads ENGINI_API_KEY
const schema = await client.workflows.getSchema("slack.post_message");engini workflows schema slack.post_messageconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/workflows/catalog/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engini.io/v1/workflows/catalog/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engini.io/v1/workflows/catalog/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engini.io/v1/workflows/catalog/{slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engini.io/v1/workflows/catalog/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"slug": "<string>",
"dynamicFields": [
"<string>"
],
"input": {
"type": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": null,
"additionalProperties": "<unknown>",
"enum": [
"<string>"
],
"x-enum-varnames": [
"<string>"
],
"required": [
"<string>"
],
"anyOf": "<array>",
"const": null,
"default": null
},
"output": {
"type": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": null,
"additionalProperties": "<unknown>",
"enum": [
"<string>"
],
"x-enum-varnames": [
"<string>"
],
"required": [
"<string>"
],
"anyOf": "<array>",
"const": null,
"default": null
},
"schedule": {
"frequencies": [
"<string>"
],
"minIntervalMinutes": 123,
"description": "<string>",
"example": {
"frequency": "<string>",
"interval": 123,
"startDate": "<string>",
"startTime": "<string>",
"weekDays": "<string>",
"timeZone": "<string>",
"timeFrames": [
{
"start": "<string>",
"end": "<string>",
"everyMinutes": 123
}
]
}
},
"query": {
"description": "<string>",
"filters": {
"required": true,
"operators": [
"<string>"
],
"max": 123,
"fields": [
{
"field": "<string>",
"type": "<string>",
"operators": [
"<string>"
],
"hasOptions": true
}
],
"fieldsFrom": "<string>"
},
"top": {
"default": 123
},
"sorts": {
"required": true,
"max": 123,
"fields": [
"<string>"
],
"fieldsFrom": "<string>"
}
},
"subItems": {
"tables": [
{
"table": "<string>",
"manyRows": true,
"values": "<string>",
"description": "<string>",
"fields": [
"<string>"
]
}
],
"maxRowsPerTable": 123,
"maxFieldsPerRow": 123,
"description": "<string>"
},
"aiAgent": {
"providers": [
"<string>"
],
"maxTools": 123,
"description": "<string>",
"example": {
"key": "<string>",
"type": "<string>",
"connection": "<string>",
"inputs": {},
"tool": "<string>",
"condition": {
"left": "<string>",
"op": "<string>",
"right": "<string>"
},
"then": "<array>",
"else": "<array>",
"items": "<string>",
"do": "<array>",
"cases": [
{
"value": "<string>",
"steps": "<array>"
}
],
"default": "<array>",
"onFailure": "<array>",
"ref": 123,
"schedule": {
"frequency": "<string>",
"interval": 123,
"startDate": "<string>",
"startTime": "<string>",
"weekDays": "<string>",
"timeZone": "<string>",
"timeFrames": [
{
"start": "<string>",
"end": "<string>",
"everyMinutes": 123
}
]
},
"listenColumns": [
"<string>"
],
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"top": 123,
"sorts": [
{
"field": "<string>",
"direction": "<string>"
}
],
"advancedFilter": true,
"offset": 123,
"sample": "<string>",
"mapDictionary": true,
"subItems": {},
"model": {
"provider": "<string>",
"connection": "<string>",
"inputs": {}
},
"memory": {
"sessionId": "<string>",
"windowLength": "<string>"
},
"tools": [
{
"connection": "<string>",
"inputs": {},
"aiInputs": {},
"name": "<string>",
"tool": "<string>",
"description": "<string>"
}
],
"value": "<unknown>",
"valueTypes": {}
}
},
"manualValue": {
"types": [
"<string>"
],
"reservedNames": [
"<string>"
],
"maxFields": 123,
"maxItems": 123,
"maxLeafLength": 123,
"maxDepth": 123,
"description": "<string>",
"example": {
"key": "<string>",
"type": "<string>",
"connection": "<string>",
"inputs": {},
"tool": "<string>",
"condition": {
"left": "<string>",
"op": "<string>",
"right": "<string>"
},
"then": "<array>",
"else": "<array>",
"items": "<string>",
"do": "<array>",
"cases": [
{
"value": "<string>",
"steps": "<array>"
}
],
"default": "<array>",
"onFailure": "<array>",
"ref": 123,
"schedule": {
"frequency": "<string>",
"interval": 123,
"startDate": "<string>",
"startTime": "<string>",
"weekDays": "<string>",
"timeZone": "<string>",
"timeFrames": [
{
"start": "<string>",
"end": "<string>",
"everyMinutes": 123
}
]
},
"listenColumns": [
"<string>"
],
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"top": 123,
"sorts": [
{
"field": "<string>",
"direction": "<string>"
}
],
"advancedFilter": true,
"offset": 123,
"sample": "<string>",
"mapDictionary": true,
"subItems": {},
"model": {
"provider": "<string>",
"connection": "<string>",
"inputs": {}
},
"memory": {
"sessionId": "<string>",
"windowLength": "<string>"
},
"tools": [
{
"connection": "<string>",
"inputs": {},
"aiInputs": {},
"name": "<string>",
"tool": "<string>",
"description": "<string>"
}
],
"value": "<unknown>",
"valueTypes": {}
}
},
"triggerGates": {
"supportsListenColumns": true,
"supportsCondition": true
}
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"path": "<string>",
"fix": "<string>",
"diagnostics": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"stepKey": "<string>",
"field": "<string>"
}
],
"currentRevisionId": 123
}Response
Success.
An activity's schemas. Input/Output are null when generation failed.